'\" -*- coding: utf-8 -*-
.if \n(.g .ds T< \\FC
.if \n(.g .ds T> \\F[\n[.fam]]
.de URL
\\$2 \(la\\$1\(ra\\$3
..
.if \n(.g .mso www.tmac
.TH x2goruncommand 8 "Nov 2018" "Version 4.1.0.3" "X2Go Server Tool"
.SH NAME
x2goruncommand \- Launch Command inside an X2Go Session
.SH SYNOPSIS
'nh
.fi
.ad l
x2goruncommand <display> <agent_pid> <session_id> <command> <sound_system> <session_type>

.SH DESCRIPTION
\fBx2goruncommand\fR launches a(n X-based) command inside of a given X2Go session.
.PP
\fBx2goruncommand\fR is run with X2Go user privileges and normally executed by an X2Go client application.
.SH ARGUMENTS
.TP
\*(T<\fB\<display>\fR\*(T>
The X display number/port of the session this command is for.
.TP
\*(T<\fB\<agent_pid>\fR\*(T>
The process ID (pid) of the x2goagent instance that the given session runs in.
.TP
\*(T<\fB\<session_id>\fR\*(T>
The <session_id> is the unique identifier of the X2Go session that this command is intended for.
.TP
\*(T<\fB\<command>\fR\*(T>
Execute command <command>. Full paths will be ignored, the command has to be in the server's $PATH.

Possible generic values for <command> are: WWWBROWSER, OFFICE, MAILCLIENT and TERMINAL.
.TP
\*(T<\fB\<sound_system>\fR\*(T>
Either of the possible sound systems supported by X2Go: pulse, esd, arts (obsolete) or none.
.TP
\*(T<\fB\<session_type>\fR\*(T>
Allowed values for <session_type> are: D (desktop) and R (rootless).
.SH RETURN VALUES
By \fBx2goruncommand\fR nothing is reported on stdout or stderr.
.PP
As exitcode \fBx2goruncommand\fR always returns 0.
.SH SEE ALSO
x2gostartagent(8), x2goresume-session(8), x2gosuspend-session(8), x2goterminate-sessions(8)
.SH AUTHOR
This manual has been written by Mike Gabriel <mike.gabriel@das-netzwerkteam.de> for the X2Go project
(https://www.x2go.org).
